# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`anysync`](#anysync): configures the anysync module
* [`anysync::consensusnode::config`](#anysync--consensusnode--config)
* [`anysync::consensusnode::install`](#anysync--consensusnode--install)
* [`anysync::consensusnode::monitoring`](#anysync--consensusnode--monitoring)
* [`anysync::consensusnode::service`](#anysync--consensusnode--service)
* [`anysync::coordinator::config`](#anysync--coordinator--config)
* [`anysync::coordinator::install`](#anysync--coordinator--install)
* [`anysync::coordinator::monitoring`](#anysync--coordinator--monitoring)
* [`anysync::coordinator::service`](#anysync--coordinator--service)
* [`anysync::filenode::config`](#anysync--filenode--config)
* [`anysync::filenode::install`](#anysync--filenode--install)
* [`anysync::filenode::monitoring`](#anysync--filenode--monitoring)
* [`anysync::filenode::service`](#anysync--filenode--service)
* [`anysync::node::config`](#anysync--node--config)
* [`anysync::node::install`](#anysync--node--install)
* [`anysync::node::monitoring`](#anysync--node--monitoring)
* [`anysync::node::service`](#anysync--node--service)

## Classes

### <a name="anysync"></a>`anysync`

configures the anysync module

#### Parameters

The following parameters are available in the `anysync` class:

* [`node`](#-anysync--node)
* [`filenode`](#-anysync--filenode)
* [`coordinator`](#-anysync--coordinator)
* [`consensusnode`](#-anysync--consensusnode)
* [`syslog_ng`](#-anysync--syslog_ng)
* [`monitoring`](#-anysync--monitoring)

##### <a name="-anysync--node"></a>`node`

Data type: `Boolean`

enable or disable "tree node" daemon

##### <a name="-anysync--filenode"></a>`filenode`

Data type: `Boolean`

enable or disable "filenode" daemon

##### <a name="-anysync--coordinator"></a>`coordinator`

Data type: `Boolean`

enable or disable "coordinator" daemon

##### <a name="-anysync--consensusnode"></a>`consensusnode`

Data type: `Boolean`

enable or disable "consensusnode" daemon

##### <a name="-anysync--syslog_ng"></a>`syslog_ng`

Data type: `Boolean`

enable or disable syslog-ng configuration for logging

##### <a name="-anysync--monitoring"></a>`monitoring`

Data type: `Boolean`

enable or disable monitoring manifests

### <a name="anysync--consensusnode--config"></a>`anysync::consensusnode::config`

The anysync::consensusnode::config class.

#### Parameters

The following parameters are available in the `anysync::consensusnode::config` class:

* [`cfg`](#-anysync--consensusnode--config--cfg)
* [`accounts`](#-anysync--consensusnode--config--accounts)
* [`user`](#-anysync--consensusnode--config--user)
* [`group`](#-anysync--consensusnode--config--group)
* [`daemon_name`](#-anysync--consensusnode--config--daemon_name)
* [`syslog_ng`](#-anysync--consensusnode--config--syslog_ng)

##### <a name="-anysync--consensusnode--config--cfg"></a>`cfg`

Data type: `Hash`

Defines config for daemon

##### <a name="-anysync--consensusnode--config--accounts"></a>`accounts`

Data type: `Hash`

Defines "account" settings for all nodes (see "any_sync_accounts" in README.md)

##### <a name="-anysync--consensusnode--config--user"></a>`user`

Data type: `String`

Defines user for daemon files and process

##### <a name="-anysync--consensusnode--config--group"></a>`group`

Data type: `String`

Defines group for daemon files and process

##### <a name="-anysync--consensusnode--config--daemon_name"></a>`daemon_name`

Data type: `String`

Defines daemon name

##### <a name="-anysync--consensusnode--config--syslog_ng"></a>`syslog_ng`

Data type: `Boolean`

enable or disable syslog-ng configuration for logging

Default value: `$::anysync::syslog_ng`

### <a name="anysync--consensusnode--install"></a>`anysync::consensusnode::install`

The anysync::consensusnode::install class.

#### Parameters

The following parameters are available in the `anysync::consensusnode::install` class:

* [`githubartifact`](#-anysync--consensusnode--install--githubartifact)

##### <a name="-anysync--consensusnode--install--githubartifact"></a>`githubartifact`

Data type: `Hash`

Defines config for githubartifact

### <a name="anysync--consensusnode--monitoring"></a>`anysync::consensusnode::monitoring`

The anysync::consensusnode::monitoring class.

### <a name="anysync--consensusnode--service"></a>`anysync::consensusnode::service`

The anysync::consensusnode::service class.

### <a name="anysync--coordinator--config"></a>`anysync::coordinator::config`

The anysync::coordinator::config class.

#### Parameters

The following parameters are available in the `anysync::coordinator::config` class:

* [`cfg`](#-anysync--coordinator--config--cfg)
* [`accounts`](#-anysync--coordinator--config--accounts)
* [`user`](#-anysync--coordinator--config--user)
* [`group`](#-anysync--coordinator--config--group)
* [`daemon_name`](#-anysync--coordinator--config--daemon_name)
* [`syslog_ng`](#-anysync--coordinator--config--syslog_ng)

##### <a name="-anysync--coordinator--config--cfg"></a>`cfg`

Data type: `Hash`

Defines config for daemon

##### <a name="-anysync--coordinator--config--accounts"></a>`accounts`

Data type: `Hash`

Defines "account" settings for all nodes (see "any_sync_accounts" in README.md)

##### <a name="-anysync--coordinator--config--user"></a>`user`

Data type: `String`

Defines user for daemon files and process

##### <a name="-anysync--coordinator--config--group"></a>`group`

Data type: `String`

Defines group for daemon files and process

##### <a name="-anysync--coordinator--config--daemon_name"></a>`daemon_name`

Data type: `String`

Defines daemon name

##### <a name="-anysync--coordinator--config--syslog_ng"></a>`syslog_ng`

Data type: `Boolean`

enable or disable syslog-ng configuration for logging

Default value: `$::anysync::syslog_ng`

### <a name="anysync--coordinator--install"></a>`anysync::coordinator::install`

The anysync::coordinator::install class.

#### Parameters

The following parameters are available in the `anysync::coordinator::install` class:

* [`githubartifact`](#-anysync--coordinator--install--githubartifact)

##### <a name="-anysync--coordinator--install--githubartifact"></a>`githubartifact`

Data type: `Hash`

Defines config for githubartifact

### <a name="anysync--coordinator--monitoring"></a>`anysync::coordinator::monitoring`

The anysync::coordinator::monitoring class.

### <a name="anysync--coordinator--service"></a>`anysync::coordinator::service`

The anysync::coordinator::service class.

### <a name="anysync--filenode--config"></a>`anysync::filenode::config`

The anysync::filenode::config class.

#### Parameters

The following parameters are available in the `anysync::filenode::config` class:

* [`cfg`](#-anysync--filenode--config--cfg)
* [`accounts`](#-anysync--filenode--config--accounts)
* [`user`](#-anysync--filenode--config--user)
* [`group`](#-anysync--filenode--config--group)
* [`daemon_name`](#-anysync--filenode--config--daemon_name)
* [`aws_credentials`](#-anysync--filenode--config--aws_credentials)
* [`syslog_ng`](#-anysync--filenode--config--syslog_ng)

##### <a name="-anysync--filenode--config--cfg"></a>`cfg`

Data type: `Hash`

Defines config for daemon

##### <a name="-anysync--filenode--config--accounts"></a>`accounts`

Data type: `Hash`

Defines "account" settings for all nodes (see "any_sync_accounts" in README.md)

##### <a name="-anysync--filenode--config--user"></a>`user`

Data type: `String`

Defines user for daemon files and process

##### <a name="-anysync--filenode--config--group"></a>`group`

Data type: `String`

Defines group for daemon files and process

##### <a name="-anysync--filenode--config--daemon_name"></a>`daemon_name`

Data type: `String`

Defines daemon name

##### <a name="-anysync--filenode--config--aws_credentials"></a>`aws_credentials`

Data type: `Hash`

Defines credentials for access to s3

##### <a name="-anysync--filenode--config--syslog_ng"></a>`syslog_ng`

Data type: `Boolean`

enable or disable syslog-ng configuration for logging

Default value: `$::anysync::syslog_ng`

### <a name="anysync--filenode--install"></a>`anysync::filenode::install`

The anysync::filenode::install class.

#### Parameters

The following parameters are available in the `anysync::filenode::install` class:

* [`githubartifact`](#-anysync--filenode--install--githubartifact)

##### <a name="-anysync--filenode--install--githubartifact"></a>`githubartifact`

Data type: `Hash`

Defines config for githubartifact

### <a name="anysync--filenode--monitoring"></a>`anysync::filenode::monitoring`

The anysync::filenode::monitoring class.

### <a name="anysync--filenode--service"></a>`anysync::filenode::service`

The anysync::filenode::service class.

### <a name="anysync--node--config"></a>`anysync::node::config`

The anysync::node::config class.

#### Parameters

The following parameters are available in the `anysync::node::config` class:

* [`cfg`](#-anysync--node--config--cfg)
* [`accounts`](#-anysync--node--config--accounts)
* [`user`](#-anysync--node--config--user)
* [`group`](#-anysync--node--config--group)
* [`daemon_name`](#-anysync--node--config--daemon_name)
* [`syslog_ng`](#-anysync--node--config--syslog_ng)

##### <a name="-anysync--node--config--cfg"></a>`cfg`

Data type: `Hash`

Defines config for daemon

##### <a name="-anysync--node--config--accounts"></a>`accounts`

Data type: `Hash`

Defines "account" settings for all nodes (see "any_sync_accounts" in README.md)

##### <a name="-anysync--node--config--user"></a>`user`

Data type: `String`

Defines user for daemon files and process

##### <a name="-anysync--node--config--group"></a>`group`

Data type: `String`

Defines group for daemon files and process

##### <a name="-anysync--node--config--daemon_name"></a>`daemon_name`

Data type: `String`

Defines daemon name

##### <a name="-anysync--node--config--syslog_ng"></a>`syslog_ng`

Data type: `Boolean`

enable or disable syslog-ng configuration for logging

Default value: `$::anysync::syslog_ng`

### <a name="anysync--node--install"></a>`anysync::node::install`

The anysync::node::install class.

#### Parameters

The following parameters are available in the `anysync::node::install` class:

* [`githubartifact`](#-anysync--node--install--githubartifact)

##### <a name="-anysync--node--install--githubartifact"></a>`githubartifact`

Data type: `Hash`

Defines config for githubartifact

### <a name="anysync--node--monitoring"></a>`anysync::node::monitoring`

The anysync::node::monitoring class.

### <a name="anysync--node--service"></a>`anysync::node::service`

The anysync::node::service class.

